Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config.xbeanmodel
Interface FsMessageFilterDocument.FsMessageFilter

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  FsMessageFilterDocumentImpl.FsMessageFilterImpl

Enclosing interface:
  FsMessageFilterDocument

    public static interface FsMessageFilterDocument.FsMessageFilter

extends org.apache.xmlbeans.XmlObject

An XML fs-message-filter(@http://anonsvn.labs.jboss.com/labs/jbossesb/trunk/product/etc/schemas/xml/jbossesb-1.0.1.xsd). This is a complex type.

Nested Class Summary
`static class` | `FsMessageFilterDocument.FsMessageFilter.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`java.lang.String` | `getDirectory()` Gets the "directory" attribute
`boolean` | `getErrorDelete()` Gets the "error-delete" attribute
`java.lang.String` | `getErrorDirectory()` Gets the "error-directory" attribute
`java.lang.String` | `getErrorSuffix()` Gets the "error-suffix" attribute
`java.lang.String` | `getInputSuffix()` Gets the "input-suffix" attribute
`boolean` | `getPostDelete()` Gets the "post-delete" attribute
`java.lang.String` | `getPostDirectory()` Gets the "post-directory" attribute
`boolean` | `getPostRename()` Gets the "post-rename" attribute
`java.lang.String` | `getPostSuffix()` Gets the "post-suffix" attribute
`java.lang.String` | `getWorkSuffix()` Gets the "work-suffix" attribute
`boolean` | `isSetErrorDelete()` True if has "error-delete" attribute
`boolean` | `isSetErrorDirectory()` True if has "error-directory" attribute
`boolean` | `isSetErrorSuffix()` True if has "error-suffix" attribute
`boolean` | `isSetInputSuffix()` True if has "input-suffix" attribute
`boolean` | `isSetPostDelete()` True if has "post-delete" attribute
`boolean` | `isSetPostDirectory()` True if has "post-directory" attribute
`boolean` | `isSetPostRename()` True if has "post-rename" attribute
`boolean` | `isSetPostSuffix()` True if has "post-suffix" attribute
`boolean` | `isSetWorkSuffix()` True if has "work-suffix" attribute
`void` | `setDirectory(java.lang.String directory)` Sets the "directory" attribute
`void` | `setErrorDelete(boolean errorDelete)` Sets the "error-delete" attribute
`void` | `setErrorDirectory(java.lang.String errorDirectory)` Sets the "error-directory" attribute
`void` | `setErrorSuffix(java.lang.String errorSuffix)` Sets the "error-suffix" attribute
`void` | `setInputSuffix(java.lang.String inputSuffix)` Sets the "input-suffix" attribute
`void` | `setPostDelete(boolean postDelete)` Sets the "post-delete" attribute
`void` | `setPostDirectory(java.lang.String postDirectory)` Sets the "post-directory" attribute
`void` | `setPostRename(boolean postRename)` Sets the "post-rename" attribute
`void` | `setPostSuffix(java.lang.String postSuffix)` Sets the "post-suffix" attribute
`void` | `setWorkSuffix(java.lang.String workSuffix)` Sets the "work-suffix" attribute
`void` | `unsetErrorDelete()` Unsets the "error-delete" attribute
`void` | `unsetErrorDirectory()` Unsets the "error-directory" attribute
`void` | `unsetErrorSuffix()` Unsets the "error-suffix" attribute
`void` | `unsetInputSuffix()` Unsets the "input-suffix" attribute
`void` | `unsetPostDelete()` Unsets the "post-delete" attribute
`void` | `unsetPostDirectory()` Unsets the "post-directory" attribute
`void` | `unsetPostRename()` Unsets the "post-rename" attribute
`void` | `unsetPostSuffix()` Unsets the "post-suffix" attribute
`void` | `unsetWorkSuffix()` Unsets the "work-suffix" attribute
`org.apache.xmlbeans.XmlString` | `xgetDirectory()` Gets (as xml) the "directory" attribute
`org.apache.xmlbeans.XmlBoolean` | `xgetErrorDelete()` Gets (as xml) the "error-delete" attribute
`org.apache.xmlbeans.XmlString` | `xgetErrorDirectory()` Gets (as xml) the "error-directory" attribute
`org.apache.xmlbeans.XmlString` | `xgetErrorSuffix()` Gets (as xml) the "error-suffix" attribute
`org.apache.xmlbeans.XmlString` | `xgetInputSuffix()` Gets (as xml) the "input-suffix" attribute
`org.apache.xmlbeans.XmlBoolean` | `xgetPostDelete()` Gets (as xml) the "post-delete" attribute
`org.apache.xmlbeans.XmlString` | `xgetPostDirectory()` Gets (as xml) the "post-directory" attribute
`org.apache.xmlbeans.XmlBoolean` | `xgetPostRename()` Gets (as xml) the "post-rename" attribute
`org.apache.xmlbeans.XmlString` | `xgetPostSuffix()` Gets (as xml) the "post-suffix" attribute
`org.apache.xmlbeans.XmlString` | `xgetWorkSuffix()` Gets (as xml) the "work-suffix" attribute
`void` | `xsetDirectory(org.apache.xmlbeans.XmlString directory)` Sets (as xml) the "directory" attribute
`void` | `xsetErrorDelete(org.apache.xmlbeans.XmlBoolean errorDelete)` Sets (as xml) the "error-delete" attribute
`void` | `xsetErrorDirectory(org.apache.xmlbeans.XmlString errorDirectory)` Sets (as xml) the "error-directory" attribute
`void` | `xsetErrorSuffix(org.apache.xmlbeans.XmlString errorSuffix)` Sets (as xml) the "error-suffix" attribute
`void` | `xsetInputSuffix(org.apache.xmlbeans.XmlString inputSuffix)` Sets (as xml) the "input-suffix" attribute
`void` | `xsetPostDelete(org.apache.xmlbeans.XmlBoolean postDelete)` Sets (as xml) the "post-delete" attribute
`void` | `xsetPostDirectory(org.apache.xmlbeans.XmlString postDirectory)` Sets (as xml) the "post-directory" attribute
`void` | `xsetPostRename(org.apache.xmlbeans.XmlBoolean postRename)` Sets (as xml) the "post-rename" attribute
`void` | `xsetPostSuffix(org.apache.xmlbeans.XmlString postSuffix)` Sets (as xml) the "post-suffix" attribute
`void` | `xsetWorkSuffix(org.apache.xmlbeans.XmlString workSuffix)` Sets (as xml) the "work-suffix" attribute

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getDirectory

    java.lang.String getDirectory()

  Gets the "directory" attribute

### xgetDirectory

    org.apache.xmlbeans.XmlString xgetDirectory()

  Gets (as xml) the "directory" attribute

### setDirectory

    void setDirectory(java.lang.String directory)

  Sets the "directory" attribute

### xsetDirectory

    void xsetDirectory(org.apache.xmlbeans.XmlString directory)

  Sets (as xml) the "directory" attribute

### getInputSuffix

    java.lang.String getInputSuffix()

  Gets the "input-suffix" attribute

### xgetInputSuffix

    org.apache.xmlbeans.XmlString xgetInputSuffix()

  Gets (as xml) the "input-suffix" attribute

### isSetInputSuffix

    boolean isSetInputSuffix()

  True if has "input-suffix" attribute

### setInputSuffix

    void setInputSuffix(java.lang.String inputSuffix)

  Sets the "input-suffix" attribute

### xsetInputSuffix

    void xsetInputSuffix(org.apache.xmlbeans.XmlString inputSuffix)

  Sets (as xml) the "input-suffix" attribute

### unsetInputSuffix

    void unsetInputSuffix()

  Unsets the "input-suffix" attribute

### getWorkSuffix

    java.lang.String getWorkSuffix()

  Gets the "work-suffix" attribute

### xgetWorkSuffix

    org.apache.xmlbeans.XmlString xgetWorkSuffix()

  Gets (as xml) the "work-suffix" attribute

### isSetWorkSuffix

    boolean isSetWorkSuffix()

  True if has "work-suffix" attribute

### setWorkSuffix

    void setWorkSuffix(java.lang.String workSuffix)

  Sets the "work-suffix" attribute

### xsetWorkSuffix

    void xsetWorkSuffix(org.apache.xmlbeans.XmlString workSuffix)

  Sets (as xml) the "work-suffix" attribute

### unsetWorkSuffix

    void unsetWorkSuffix()

  Unsets the "work-suffix" attribute

### getPostDelete

    boolean getPostDelete()

  Gets the "post-delete" attribute

### xgetPostDelete

    org.apache.xmlbeans.XmlBoolean xgetPostDelete()

  Gets (as xml) the "post-delete" attribute

### isSetPostDelete

    boolean isSetPostDelete()

  True if has "post-delete" attribute

### setPostDelete

    void setPostDelete(boolean postDelete)

  Sets the "post-delete" attribute

### xsetPostDelete

    void xsetPostDelete(org.apache.xmlbeans.XmlBoolean postDelete)

  Sets (as xml) the "post-delete" attribute

### unsetPostDelete

    void unsetPostDelete()

  Unsets the "post-delete" attribute

### getPostRename

    boolean getPostRename()

  Gets the "post-rename" attribute

### xgetPostRename

    org.apache.xmlbeans.XmlBoolean xgetPostRename()

  Gets (as xml) the "post-rename" attribute

### isSetPostRename

    boolean isSetPostRename()

  True if has "post-rename" attribute

### setPostRename

    void setPostRename(boolean postRename)

  Sets the "post-rename" attribute

### xsetPostRename

    void xsetPostRename(org.apache.xmlbeans.XmlBoolean postRename)

  Sets (as xml) the "post-rename" attribute

### unsetPostRename

    void unsetPostRename()

  Unsets the "post-rename" attribute

### getPostDirectory

    java.lang.String getPostDirectory()

  Gets the "post-directory" attribute

### xgetPostDirectory

    org.apache.xmlbeans.XmlString xgetPostDirectory()

  Gets (as xml) the "post-directory" attribute

### isSetPostDirectory

    boolean isSetPostDirectory()

  True if has "post-directory" attribute

### setPostDirectory

    void setPostDirectory(java.lang.String postDirectory)

  Sets the "post-directory" attribute

### xsetPostDirectory

    void xsetPostDirectory(org.apache.xmlbeans.XmlString postDirectory)

  Sets (as xml) the "post-directory" attribute

### unsetPostDirectory

    void unsetPostDirectory()

  Unsets the "post-directory" attribute

### getPostSuffix

    java.lang.String getPostSuffix()

  Gets the "post-suffix" attribute

### xgetPostSuffix

    org.apache.xmlbeans.XmlString xgetPostSuffix()

  Gets (as xml) the "post-suffix" attribute

### isSetPostSuffix

    boolean isSetPostSuffix()

  True if has "post-suffix" attribute

### setPostSuffix

    void setPostSuffix(java.lang.String postSuffix)

  Sets the "post-suffix" attribute

### xsetPostSuffix

    void xsetPostSuffix(org.apache.xmlbeans.XmlString postSuffix)

  Sets (as xml) the "post-suffix" attribute

### unsetPostSuffix

    void unsetPostSuffix()

  Unsets the "post-suffix" attribute

### getErrorDelete

    boolean getErrorDelete()

  Gets the "error-delete" attribute

### xgetErrorDelete

    org.apache.xmlbeans.XmlBoolean xgetErrorDelete()

  Gets (as xml) the "error-delete" attribute

### isSetErrorDelete

    boolean isSetErrorDelete()

  True if has "error-delete" attribute

### setErrorDelete

    void setErrorDelete(boolean errorDelete)

  Sets the "error-delete" attribute

### xsetErrorDelete

    void xsetErrorDelete(org.apache.xmlbeans.XmlBoolean errorDelete)

  Sets (as xml) the "error-delete" attribute

### unsetErrorDelete

    void unsetErrorDelete()

  Unsets the "error-delete" attribute

### getErrorDirectory

    java.lang.String getErrorDirectory()

  Gets the "error-directory" attribute

### xgetErrorDirectory

    org.apache.xmlbeans.XmlString xgetErrorDirectory()

  Gets (as xml) the "error-directory" attribute

### isSetErrorDirectory

    boolean isSetErrorDirectory()

  True if has "error-directory" attribute

### setErrorDirectory

    void setErrorDirectory(java.lang.String errorDirectory)

  Sets the "error-directory" attribute

### xsetErrorDirectory

    void xsetErrorDirectory(org.apache.xmlbeans.XmlString errorDirectory)

  Sets (as xml) the "error-directory" attribute

### unsetErrorDirectory

    void unsetErrorDirectory()

  Unsets the "error-directory" attribute

### getErrorSuffix

    java.lang.String getErrorSuffix()

  Gets the "error-suffix" attribute

### xgetErrorSuffix

    org.apache.xmlbeans.XmlString xgetErrorSuffix()

  Gets (as xml) the "error-suffix" attribute

### isSetErrorSuffix

    boolean isSetErrorSuffix()

  True if has "error-suffix" attribute

### setErrorSuffix

    void setErrorSuffix(java.lang.String errorSuffix)

  Sets the "error-suffix" attribute

### xsetErrorSuffix

    void xsetErrorSuffix(org.apache.xmlbeans.XmlString errorSuffix)

  Sets (as xml) the "error-suffix" attribute

### unsetErrorSuffix

    void unsetErrorSuffix()

  Unsets the "error-suffix" attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD